Get Form

Retrieve a specific form by ID with detailed layout information

Authentication

x-api-keystring
API Key authentication via header

Path parameters

form_idintegerRequired
Form identifier

Response

Form details
idintegerOptional
Form identifier
namestringOptional
Form name
descriptionstring or nullOptional
Form description
templateIdinteger or nullOptional
Template ID
updatedAtstringOptionalformat: "date-time"
Last update timestamp
statusenumOptional
Form status
isCompletedbooleanOptional
Whether the form is completed
completedAtstring or nullOptionalformat: "date-time"
Completion timestamp
createdAtstringOptionalformat: "date-time"
Creation timestamp
createdByUserobjectOptional
Minimal user representation used in responses
assigneeobjectOptional
Minimal user representation used in responses
dueDatestring or nullOptionalformat: "date-time"
Due date
projectIdintegerOptional
Associated project ID
phaseIdinteger or nullOptional

Phase template ID (if available)

phaseNamestring or nullOptional

Phase template name (if available)

formLayoutslist of objectsOptional
Form layout sections
collaboratorslist of objectsOptional
Additional users collaborating on the form

Errors

401
Unauthorized Error
404
Not Found Error